Search results

DropDownListModel API in JavaScript (ES5) DropDownList API control

Interface for a class DropDownList

Properties

actionBegin

EmitType<Object>

Triggers before fetching data from the remote server.

actionComplete

EmitType<Object>

Triggers after data is fetched successfully from the remote server.

actionFailure

EmitType<Object>

Triggers when the data fetch request from the remote server fails.

beforeOpen

EmitType<Object>

Triggers when the popup before opens.

blur

EmitType<Object>

Triggers when focus moves out from the component.

change

EmitType<ChangeEventArgs>

Triggers when an item in a popup is selected or when the model value is changed by user. Use change event to Configure the Cascading DropDownList

close

EmitType<PopupEventArgs>

Triggers when the popup is closed.

created

EmitType<Object>

Triggers when the component is created.

dataBound

EmitType<Object>

Triggers when data source is populated in the popup list..

destroyed

EmitType<Object>

Triggers when the component is destroyed.

filtering

EmitType<FilteringEventArgs>

Triggers on typing a character in the filter bar when the allowFiltering is enabled.

For more details about the filtering refer to Filtering documentation.

focus

EmitType<Object>

Triggers when the component is focused.

open

EmitType<PopupEventArgs>

Triggers when the popup opens.

select

EmitType<SelectEventArgs>

Triggers when an item in the popup is selected by the user either with mouse/tap or with keyboard navigation.

actionFailureTemplate

string | Function

Accepts the template and assigns it to the popup list content of the component when the data fetch request from the remote server fails.

allowFiltering

boolean

When allowFiltering is set to true, show the filter bar (search box) of the component. The filter action retrieves matched items through the filtering event based on the characters typed in the search TextBox. If no match is found, the value of the noRecordsTemplate property will be displayed.

For more details about the filtering refer to Filtering documentation.

allowObjectBinding

boolean

Defines whether the object binding is allowed or not in the component.

cssClass

string

Sets CSS classes to the root element of the component that allows customization of appearance.

dataSource

{ [key: string]: Object }[] | DataManager | string[] | number[] | boolean[]

Accepts the list items either through local or remote service and binds it to the component. It can be an array of JSON Objects or an instance of DataManager.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value

enableRtl

boolean

Enable or disable rendering component in right to left direction.

enableVirtualization

boolean

Defines whether to enable virtual scrolling in the component.

enabled

boolean

Specifies a value that indicates whether the component is enabled or not.

fields

FieldSettingsModel

The fields property maps the columns of the data table and binds the data to the component.

  • text - Maps the text column from data table for each list item.
  • value - Maps the value column from data table for each list item.
  • iconCss - Maps the icon class column from data table for each list item.
  • groupBy - Group the list items with it’s related items by mapping groupBy field.

    <input type="text" tabindex="1" id="list"> </input>
    let customers: DropDownList = new DropDownList({
     dataSource:new DataManager({ url:'http://js.syncfusion.com/demos/ejServices/Wcf/Northwind.svc/' }),
     query: new Query().from('Customers').select(['ContactName', 'CustomerID']).take(5),
     fields: { text: 'ContactName', value: 'CustomerID' },
     placeholder: 'Select a customer'
    });
    customers.appendTo("#list");

filterBarPlaceholder

string

Accepts the value to be displayed as a watermark text on the filter bar.

filterType

FilterType

Determines on which filter type, the component needs to be considered on search action. The FilterType and its supported data types are

FilterType
Description
Supported Types
StartsWith
Checks whether a value begins with the specified value.
String
EndsWith
Checks whether a value ends with specified value.


String
Contains
Checks whether a value contains with specified value.


String

The default value set to StartsWith, all the suggestion items which contain typed characters to listed in the suggestion popup.

floatLabelType

FloatLabelType

Specifies whether to display the floating label above the input element. Possible values are:

  • Never: The label will never float in the input when the placeholder is available.
  • Always: The floating label will always float above the input.
  • Auto: The floating label will float above the input after focusing or entering a value in the input.

footerTemplate

string | Function

Accepts the template design and assigns it to the footer container of the popup list.

For more details about the available template options refer to Template documentation.

groupTemplate

string | Function

Accepts the template design and assigns it to the group headers present in the popup list.

headerTemplate

string | Function

Accepts the template design and assigns it to the header container of the popup list.

For more details about the available template options refer to Template documentation.

htmlAttributes

{ [key: string]: string }

Allows additional HTML attributes such as title, name, etc., and accepts n number of attributes in a key-value pair format.

 <input type="text" id="country">
import { DropDownList } from '@syncfusion/ej2-dropdowns';

let countries: { [key: string]: Object; }[] = [
  { Name: "Australia", Code: "AU" },
  { Name: "Bermuda", Code: "BM" },
  { Name: "Canada", Code: "CA" },
  { Name: "Cameroon", Code: "CM" },
  { Name: "Denmark", Code: "DK" }
];
// initialize DropDownList component
let dropdown: DropDownList = new DropDownList({
  //set the local data to dataSource property
  dataSource: countries,
  // map the appropriate columns to fields property
  fields: { text: 'Name' },
  htmlAttributes: { name: "country", placeholder: "Select a country", title: "DropDownList" }
});
dropdown.appendTo('#country');

ignoreAccent

boolean

ignoreAccent set to true, then ignores the diacritic characters or accents when filtering.

ignoreCase

boolean

When set to ‘false’, consider the case-sensitive on performing the search to find suggestions. By default consider the casing.

index

number | null

Gets or sets the index of the selected item in the component.

itemTemplate

string | Function

Accepts the template design and assigns it to each list item present in the popup. We have built-in template engine which provides options to compile template string into a executable function. For EX: We have expression evolution as like ES6 expression string literals.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

noRecordsTemplate

string | Function

Accepts the template design and assigns it to popup list of component when no data is available on the component.

placeholder

string

Specifies a short hint that describes the expected value of the DropDownList component.

popupHeight

string | number

Specifies the height of the popup list.

For more details about the popup configuration refer to Popup Configuration documentation.

popupWidth

string | number

Specifies the width of the popup list. By default, the popup width sets based on the width of the component.

For more details about the popup configuration refer to Popup Configuration documentation.

query

Query

Accepts the external Query that execute along with data processing.

 <input type="text" id="country">
import { DropDownList } from '@syncfusion/ej2-dropdowns';
import { Query, DataManager, WebApiAdaptor } from '@syncfusion/ej2-data';

// initialize DropDownList component
let dropdown: DropDownList = new DropDownList({
  //set the local data to dataSource property
  dataSource: new DataManager({
    url: 'https://ej2services.syncfusion.com/production/web-services/api/Employees',
    adaptor: new WebApiAdaptor,
    crossDomain: true
  }),
  // bind the Query instance to query property
  query: new Query().select(['FirstName', 'EmployeeID']).take(10).requiresCount(),
  // map the appropriate columns to fields property
  fields: { text: 'FirstName', value: 'EmployeeID' },
  // set the placeholder to DropDownList input element
  placeholder: 'Select a name'
});
dropdown.appendTo('#country');

readonly

boolean

When set to true, the user interactions on the component are disabled.

showClearButton

boolean

Specifies whether to show or hide the clear button. When the clear button is clicked, value, text, and index properties are reset to null.

sortOrder

SortOrder

Specifies the sortOrder to sort the data source. The available type of sort orders are

  • None - The data source is not sorting.
  • Ascending - The data source is sorting with ascending order.
  • Descending - The data source is sorting with descending order.

text

string | null

Gets or sets the display text of the selected item in the component.

value

number | string | boolean | any | null

Gets or sets the value of the selected item in the component.

valueTemplate

string | Function

Accepts the template design and assigns it to the selected list item in the input element of the component. For more details about the available template options refer to Template documentation. We have built-in template engine which provides options to compile template string into a executable function. For EX: We have expression evolution as like ES6 expression string literals.

width

string | number

Specifies the width of the component. By default, the component width sets based on the width of its parent container. You can also set the width in pixel values.

zIndex

number

specifies the z-index value of the component popup element.

DropDownListModel

23 Sep 20259 minutes to read

Interface for a class DropDownList

Properties

actionBegin EmitType<Object>

Triggers before fetching data from the remote server.

actionComplete EmitType<Object>

Triggers after data is fetched successfully from the remote server.

actionFailure EmitType<Object>

Triggers when the data fetch request from the remote server fails.

beforeOpen EmitType<Object>

Triggers when the popup before opens.

blur EmitType<Object>

Triggers when focus moves out from the component.

change EmitType<ChangeEventArgs>

Triggers when an item in a popup is selected or when the model value is changed by user.
Use change event to
Configure the Cascading DropDownList

close EmitType<PopupEventArgs>

Triggers when the popup is closed.

created EmitType<Object>

Triggers when the component is created.

dataBound EmitType<Object>

Triggers when data source is populated in the popup list..

destroyed EmitType<Object>

Triggers when the component is destroyed.

filtering EmitType<FilteringEventArgs>

Triggers on typing a character in the filter bar when the
allowFiltering
is enabled.

For more details about the filtering refer to Filtering documentation.

focus EmitType<Object>

Triggers when the component is focused.

open EmitType<PopupEventArgs>

Triggers when the popup opens.

resizeStart EmitType<Object>

Triggers when the user starts resizing the DropDown popup.

resizeStop EmitType<Object>

Triggers when the user finishes resizing the DropDown popup.

resizing EmitType<Object>

Triggers continuously while the DropDown popup is being resized by the user.
This event provides live updates on the width and height of the popup.

select EmitType<SelectEventArgs>

Triggers when an item in the popup is selected by the user either with mouse/tap or with keyboard navigation.

actionFailureTemplate string|Function

Accepts the template and assigns it to the popup list content of the component
when the data fetch request from the remote server fails.

allowFiltering boolean

When allowFiltering is set to true, show the filter bar (search box) of the component.
The filter action retrieves matched items through the filtering event based on
the characters typed in the search TextBox.
If no match is found, the value of the noRecordsTemplate property will be displayed.

For more details about the filtering refer to Filtering documentation.

allowObjectBinding boolean

Defines whether the object binding is allowed or not in the component.

allowResize boolean

Gets or sets a value that indicates whether the DropDownList popup can be resized.
When set to true, a resize handle appears in the bottom-right corner of the popup,
allowing the user to resize the width and height of the popup.

cssClass string

Sets CSS classes to the root element of the component that allows customization of appearance.

dataSource { : }[]|DataManager|string[]|number[]|boolean[]

Accepts the list items either through local or remote service and binds it to the component.
It can be an array of JSON Objects or an instance of
DataManager.

debounceDelay number

Specifies the delay time in milliseconds for filtering operations.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.
If enabled, following list of states will be persisted.

  1. value

enableRtl boolean

Enable or disable rendering component in right to left direction.

enableVirtualization boolean

Defines whether to enable virtual scrolling in the component.

enabled boolean

Specifies a value that indicates whether the component is enabled or not.

fields FieldSettingsModel

The fields property maps the columns of the data table and binds the data to the component.

  • text - Maps the text column from data table for each list item.
  • value - Maps the value column from data table for each list item.
  • iconCss - Maps the icon class column from data table for each list item.
  • groupBy - Group the list items with it’s related items by mapping groupBy field.
    <input type="text" tabindex="1" id="list"> </input>
    let customers: DropDownList = new DropDownList({
       dataSource:new DataManager({ url:'http://js.syncfusion.com/demos/ejServices/Wcf/Northwind.svc/' }),
       query: new Query().from('Customers').select(['ContactName', 'CustomerID']).take(5),
       fields: { text: 'ContactName', value: 'CustomerID' },
       placeholder: 'Select a customer'
    });
    customers.appendTo("#list");

filterBarPlaceholder string

Accepts the value to be displayed as a watermark text on the filter bar.

filterType FilterType

Determines on which filter type, the component needs to be considered on search action.
The FilterType and its supported data types are

FilterType
Description
Supported Types
StartsWith
Checks whether a value begins with the specified value.
String
EndsWith
Checks whether a value ends with specified value.


String
Contains
Checks whether a value contains with specified value.


String

The default value set to StartsWith, all the suggestion items which contain typed characters to listed in the suggestion popup.

floatLabelType FloatLabelType

Specifies whether to display the floating label above the input element.
Possible values are:

  • Never: The label will never float in the input when the placeholder is available.
  • Always: The floating label will always float above the input.
  • Auto: The floating label will float above the input after focusing or entering a value in the input.

footerTemplate string|Function

Accepts the template design and assigns it to the footer container of the popup list.

For more details about the available template options refer to Template documentation.

groupTemplate string|Function

Accepts the template design and assigns it to the group headers present in the popup list.

headerTemplate string|Function

Accepts the template design and assigns it to the header container of the popup list.

For more details about the available template options refer to Template documentation.

htmlAttributes { : }

Allows additional HTML attributes such as title, name, etc., and
accepts n number of attributes in a key-value pair format.

import './App.css';
import * as React from 'react';
import { DropDownListComponent  } from '@syncfusion/ej2-react-dropdowns';

class App extends React.Component {
  public countries: { [key: string]: Object; }[] = [
    { Name: "Australia", Code: "AU" },
    { Name: "Bermuda", Code: "BM" },
    { Name: "Canada", Code: "CA" },
    { Name: "Cameroon", Code: "CM" },
    { Name: "Denmark", Code: "DK" }
  ];
  public fields = { text: 'Name' };
  public htmlAttributes = { name: "country", placeholder: "Select a country", title: "DropDownList" };
  public render() {
    return (<DropDownListComponent  dataSource={this.countries}  fields={this.fields} htmlAttributes={this.htmlAttributes}  />);
  }
}

export default App;

ignoreAccent boolean

ignoreAccent set to true, then ignores the diacritic characters or accents when filtering.

ignoreCase boolean

When set to ‘false’, consider the case-sensitive on performing the search to find suggestions.
By default consider the casing.

index number|null

Gets or sets the index of the selected item in the component.

isDeviceFullScreen boolean

Defines whether the popup opens in fullscreen mode on mobile devices when filtering is enabled. When set to false, the popup will display similarly on both mobile and desktop devices.

itemTemplate string|Function

Accepts the template design and assigns it to each list item present in the popup.
We have built-in template engine
which provides options to compile template string into a executable function.
For EX: We have expression evolution as like ES6 expression string literals.

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

noRecordsTemplate string|Function

Accepts the template design and assigns it to popup list of component
when no data is available on the component.

placeholder string

Specifies a short hint that describes the expected value of the DropDownList component.

popupHeight string|number

Specifies the height of the popup list.

For more details about the popup configuration refer to
Popup Configuration documentation.

popupWidth string|number

Specifies the width of the popup list. By default, the popup width sets based on the width of
the component.

For more details about the popup configuration refer to
Popup Configuration documentation.

query Query

Accepts the external Query
that execute along with data processing.

import './App.css';
import * as React from 'react';
import { DropDownListComponent  } from '@syncfusion/ej2-react-dropdowns';
import { Query, DataManager, WebApiAdaptor } from '@syncfusion/ej2-data';

class App extends React.Component {
  public dataSource = new DataManager({
    url: 'https://ej2services.syncfusion.com/production/web-services/api/Employees',
    adaptor: new WebApiAdaptor,
    crossDomain: true
  });
  public fields = { text: 'FirstName', value: 'EmployeeID' };
  public query = new Query().select(['FirstName', 'EmployeeID']).take(10).requiresCount();
  public render() {
    return (<DropDownListComponent  dataSource={this.dataSource}  fields={this.fields} placeholder={"Select a name"} query={this.query}  />);
  }
}

export default App;

readonly boolean

When set to true, the user interactions on the component are disabled.

showClearButton boolean

Specifies whether to show or hide the clear button.
When the clear button is clicked, value, text, and index properties are reset to null.

sortOrder SortOrder

Specifies the sortOrder to sort the data source. The available type of sort orders are

  • None - The data source is not sorting.
  • Ascending - The data source is sorting with ascending order.
  • Descending - The data source is sorting with descending order.

text string|null

Gets or sets the display text of the selected item in the component.

value number|string|boolean|object|null

Gets or sets the value of the selected item in the component.

valueTemplate string|Function

Accepts the template design and assigns it to the selected list item in the input element of the component.
For more details about the available template options refer to
Template documentation.
We have built-in template engine
which provides options to compile template string into a executable function.
For EX: We have expression evolution as like ES6 expression string literals.

width string|number

Specifies the width of the component. By default, the component width sets based on the width of
its parent container. You can also set the width in pixel values.

zIndex number

specifies the z-index value of the component popup element.

Interface for a class DropDownList
EmitType<Object>
Triggers before fetching data from the remote server.
EmitType<Object>
Triggers after data is fetched successfully from the remote server.
EmitType<Object>
Triggers when the data fetch request from the remote server fails.
EmitType<Object>
Triggers when the popup before opens.
EmitType<Object>
Triggers when focus moves out from the component.
Triggers when an item in a popup is selected or when the model value is changed by user.
Use change event to
Configure the Cascading DropDownList
Triggers when the popup is closed.
EmitType<Object>
Triggers when the component is created.
EmitType<Object>
Triggers when data source is populated in the popup list..
EmitType<Object>
Triggers when the component is destroyed.
Triggers on typing a character in the filter bar when the
allowFiltering
is enabled.
For more details about the filtering refer to
Filtering
documentation.
EmitType<Object>
Triggers when the component is focused.
Triggers when the popup opens.
EmitType<Object>
Triggers when the user starts resizing the DropDown popup.
EmitType<Object>
Triggers when the user finishes resizing the DropDown popup.
EmitType<Object>
Triggers continuously while the DropDown popup is being resized by the user. This event provides live updates on the width and height of the popup.
Triggers when an item in the popup is selected by the user either with mouse/tap or with keyboard navigation.
string
| Function
Accepts the template and assigns it to the popup list content of the component when the data fetch request from the remote server fails.
boolean
When allowFiltering is set to true, show the filter bar (search box) of the component.
The filter action retrieves matched items through the filtering
event based on
the characters typed in the search TextBox.
If no match is found, the value of the noRecordsTemplate
property will be displayed.
For more details about the filtering refer to
Filtering
documentation.
boolean
Defines whether the object binding is allowed or not in the component.
boolean
Gets or sets a value that indicates whether the DropDownList popup can be resized.
When set to true
, a resize handle appears in the bottom-right corner of the popup,
allowing the user to resize the width and height of the popup.
string
Sets CSS classes to the root element of the component that allows customization of appearance.
{ : }
[]
| DataManager
| string[]
| number[]
| boolean[]
Accepts the list items either through local or remote service and binds it to the component.
It can be an array of JSON Objects or an instance of
DataManager
.
boolean
Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.
boolean
Enable or disable rendering component in right to left direction.
boolean
Defines whether to enable virtual scrolling in the component.
boolean
Specifies a value that indicates whether the component is enabled or not.
The fields
property maps the columns of the data table and binds the data to the component.
groupBy - Group the list items with it’s related items by mapping groupBy field.
<input type="text" tabindex="1" id="list"> </input>
let customers: DropDownList = new DropDownList({
dataSource:new DataManager({ url:'http://js.syncfusion.com/demos/ejServices/Wcf/Northwind.svc/' }),
query: new Query().from('Customers').select(['ContactName', 'CustomerID']).take(5),
fields: { text: 'ContactName', value: 'CustomerID' },
placeholder: 'Select a customer'
});
customers.appendTo("#list");
string
Accepts the value to be displayed as a watermark text on the filter bar.
Determines on which filter type, the component needs to be considered on search action.
The FilterType
and its supported data types are
FilterType |
Description |
Supported Types |
StartsWith |
Checks whether a value begins with the specified value. |
String |
EndsWith |
Checks whether a value ends with specified value. |
String |
Contains |
Checks whether a value contains with specified value. |
String |
The default value set to StartsWith
, all the suggestion items which contain typed characters to listed in the suggestion popup.
FloatLabelType
Specifies whether to display the floating label above the input element. Possible values are:
string
| Function
Accepts the template design and assigns it to the footer container of the popup list.
For more details about the available template options refer to
Template
documentation.
string
| Function
Accepts the template design and assigns it to the group headers present in the popup list.
string
| Function
Accepts the template design and assigns it to the header container of the popup list.
For more details about the available template options refer to
Template
documentation.
{ : }
Allows additional HTML attributes such as title, name, etc., and accepts n number of attributes in a key-value pair format.
<template>
<ejs-dropdownlist :htmlAttributes="htmlAttributes" :dataSource="dataSource" :fields="fields"></ejs-dropdownlist>
</template>
<script>
import Vue from "vue";
import { DropDownListPlugin } from "@syncfusion/ej2-vue-dropdowns";
Vue.use(DropDownListPlugin);
var countries = [
{ Name: "Australia", Code: "AU" },
{ Name: "Bermuda", Code: "BM" },
{ Name: "Canada", Code: "CA" },
{ Name: "Cameroon", Code: "CM" },
{ Name: "Denmark", Code: "DK" }
];
export default {
data() {
return {
htmlAttributes: { name: "country", placeholder: "Select a country", title: "DropDownList" },
fields: { text: 'Name' },
dataSource: countries,
};
}
};
</script>
boolean
ignoreAccent set to true, then ignores the diacritic characters or accents when filtering.
boolean
When set to ‘false’, consider the case-sensitive
on performing the search to find suggestions.
By default consider the casing.
number
| null
Gets or sets the index of the selected item in the component.
boolean
Defines whether the popup opens in fullscreen mode on mobile devices when filtering is enabled. When set to false, the popup will display similarly on both mobile and desktop devices.
string
| Function
Accepts the template design and assigns it to each list item present in the popup.
We have built-in template engine
which provides options to compile template string into a executable function.
For EX: We have expression evolution as like ES6 expression string literals.
string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
string
| Function
Accepts the template design and assigns it to popup list of component when no data is available on the component.
string
Specifies a short hint that describes the expected value of the DropDownList component.
string
| number
Specifies the height of the popup list.
For more details about the popup configuration refer to
Popup Configuration
documentation.
string
| number
Specifies the width of the popup list. By default, the popup width sets based on the width of the component.
For more details about the popup configuration refer to
Popup Configuration
documentation.
Query
Accepts the external Query
that execute along with data processing.
<template>
<ejs-dropdownlist :query="query" :dataSource="dataSource" :fields="fields" :placeholder="placeholder"></ejs-dropdownlist>
</template>
<script>
import Vue from "vue";
import { DropDownListPlugin } from "@syncfusion/ej2-vue-dropdowns";
import { Query, DataManager, WebApiAdaptor } from '@syncfusion/ej2-data';
Vue.use(DropDownListPlugin);
var dataSource = new DataManager({
url: 'https://ej2services.syncfusion.com/production/web-services/api/Employees',
adaptor: new WebApiAdaptor,
crossDomain: true
});
export default {
data() {
return {
query: new Query().select(['FirstName', 'EmployeeID']).take(10).requiresCount(),
fields: { text: 'FirstName', value: 'EmployeeID' },
placeholder: 'Select a name',
dataSource: dataSource,
};
}
};
</script>
boolean
When set to true, the user interactions on the component are disabled.
boolean
Specifies whether to show or hide the clear button.
When the clear button is clicked, value
, text
, and index
properties are reset to null.
Specifies the sortOrder
to sort the data source. The available type of sort orders are
None
- The data source is not sorting.Ascending
- The data source is sorting with ascending order.Descending
- The data source is sorting with descending order. string
| null
Gets or sets the display text of the selected item in the component.
number
| string
| boolean
| object
| null
Gets or sets the value of the selected item in the component.
string
| Function
Accepts the template design and assigns it to the selected list item in the input element of the component.
For more details about the available template options refer to
Template
documentation.
We have built-in template engine
which provides options to compile template string into a executable function.
For EX: We have expression evolution as like ES6 expression string literals.
string
| number
Specifies the width of the component. By default, the component width sets based on the width of its parent container. You can also set the width in pixel values.
number
specifies the z-index value of the component popup element.

Search results

DropDownListModel API in Angular DropDownList API component

Interface for a class DropDownList

Properties

actionBegin

EmitType<Object>

Triggers before fetching data from the remote server.

actionComplete

EmitType<Object>

Triggers after data is fetched successfully from the remote server.

actionFailure

EmitType<Object>

Triggers when the data fetch request from the remote server fails.

beforeOpen

EmitType<Object>

Triggers when the popup before opens.

blur

EmitType<Object>

Triggers when focus moves out from the component.

change

EmitType<ChangeEventArgs>

Triggers when an item in a popup is selected or when the model value is changed by user. Use change event to Configure the Cascading DropDownList

close

EmitType<PopupEventArgs>

Triggers when the popup is closed.

created

EmitType<Object>

Triggers when the component is created.

dataBound

EmitType<Object>

Triggers when data source is populated in the popup list..

destroyed

EmitType<Object>

Triggers when the component is destroyed.

filtering

EmitType<FilteringEventArgs>

Triggers on typing a character in the filter bar when the allowFiltering is enabled.

For more details about the filtering refer to Filtering documentation.

focus

EmitType<Object>

Triggers when the component is focused.

open

EmitType<PopupEventArgs>

Triggers when the popup opens.

resizeStart

EmitType<Object>

Triggers when the user starts resizing the DropDown popup.

resizeStop

EmitType<Object>

Triggers when the user finishes resizing the DropDown popup.

resizing

EmitType<Object>

Triggers continuously while the DropDown popup is being resized by the user. This event provides live updates on the width and height of the popup.

select

EmitType<SelectEventArgs>

Triggers when an item in the popup is selected by the user either with mouse/tap or with keyboard navigation.

actionFailureTemplate

string | Function

Accepts the template and assigns it to the popup list content of the component when the data fetch request from the remote server fails.

allowFiltering

boolean

When allowFiltering is set to true, show the filter bar (search box) of the component. The filter action retrieves matched items through the filtering event based on the characters typed in the search TextBox. If no match is found, the value of the noRecordsTemplate property will be displayed.

For more details about the filtering refer to Filtering documentation.

allowObjectBinding

boolean

Defines whether the object binding is allowed or not in the component.

allowResize

boolean

Gets or sets a value that indicates whether the DropDownList popup can be resized. When set to true, a resize handle appears in the bottom-right corner of the popup, allowing the user to resize the width and height of the popup.

cssClass

string

Sets CSS classes to the root element of the component that allows customization of appearance.

dataSource

{ : }[] | DataManager | string[] | number[] | boolean[]

Accepts the list items either through local or remote service and binds it to the component. It can be an array of JSON Objects or an instance of DataManager.

debounceDelay

number

Specifies the delay time in milliseconds for filtering operations.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value

enableRtl

boolean

Enable or disable rendering component in right to left direction.

enableVirtualization

boolean

Defines whether to enable virtual scrolling in the component.

enabled

boolean

Specifies a value that indicates whether the component is enabled or not.

fields

FieldSettingsModel

The fields property maps the columns of the data table and binds the data to the component.

  • text - Maps the text column from data table for each list item.
  • value - Maps the value column from data table for each list item.
  • iconCss - Maps the icon class column from data table for each list item.
  • groupBy - Group the list items with it’s related items by mapping groupBy field.

    <input type="text" tabindex="1" id="list"> </input>
    let customers: DropDownList = new DropDownList({
     dataSource:new DataManager({ url:'http://js.syncfusion.com/demos/ejServices/Wcf/Northwind.svc/' }),
     query: new Query().from('Customers').select(['ContactName', 'CustomerID']).take(5),
     fields: { text: 'ContactName', value: 'CustomerID' },
     placeholder: 'Select a customer'
    });
    customers.appendTo("#list");

filterBarPlaceholder

string

Accepts the value to be displayed as a watermark text on the filter bar.

filterType

FilterType

Determines on which filter type, the component needs to be considered on search action. The FilterType and its supported data types are

FilterType
Description
Supported Types
StartsWith
Checks whether a value begins with the specified value.
String
EndsWith
Checks whether a value ends with specified value.


String
Contains
Checks whether a value contains with specified value.


String

The default value set to StartsWith, all the suggestion items which contain typed characters to listed in the suggestion popup.

floatLabelType

FloatLabelType

Specifies whether to display the floating label above the input element. Possible values are:

  • Never: The label will never float in the input when the placeholder is available.
  • Always: The floating label will always float above the input.
  • Auto: The floating label will float above the input after focusing or entering a value in the input.

footerTemplate

string | Function

Accepts the template design and assigns it to the footer container of the popup list.

For more details about the available template options refer to Template documentation.

groupTemplate

string | Function

Accepts the template design and assigns it to the group headers present in the popup list.

headerTemplate

string | Function

Accepts the template design and assigns it to the header container of the popup list.

For more details about the available template options refer to Template documentation.

htmlAttributes

{ : }

Allows additional HTML attributes such as title, name, etc., and accepts n number of attributes in a key-value pair format.

 <ejs-dropdownlist [htmlAttributes]="htmlAttributes" [fields]="fields" [dataSource]="dataSource"></ejs-dropdownlist>
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'app-root',
  styleUrls: ['app.component.css'],
  templateUrl: 'app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  constructor() {}
  public htmlAttributes = { name: "country", placeholder: "Select a country", title: "DropDownList" };
  public fields = { text: 'Name' };
  public dataSource: { [key: string]: Object; }[] = [
  { Name: "Australia", Code: "AU" },
  { Name: "Bermuda", Code: "BM" },
  { Name: "Canada", Code: "CA" },
  { Name: "Cameroon", Code: "CM" },
  { Name: "Denmark", Code: "DK" }
];
}

ignoreAccent

boolean

ignoreAccent set to true, then ignores the diacritic characters or accents when filtering.

ignoreCase

boolean

When set to ‘false’, consider the case-sensitive on performing the search to find suggestions. By default consider the casing.

index

number | null

Gets or sets the index of the selected item in the component.

isDeviceFullScreen

boolean

Defines whether the popup opens in fullscreen mode on mobile devices when filtering is enabled. When set to false, the popup will display similarly on both mobile and desktop devices.

itemTemplate

string | Function

Accepts the template design and assigns it to each list item present in the popup. We have built-in template engine which provides options to compile template string into a executable function. For EX: We have expression evolution as like ES6 expression string literals.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

noRecordsTemplate

string | Function

Accepts the template design and assigns it to popup list of component when no data is available on the component.

placeholder

string

Specifies a short hint that describes the expected value of the DropDownList component.

popupHeight

string | number

Specifies the height of the popup list.

For more details about the popup configuration refer to Popup Configuration documentation.

popupWidth

string | number

Specifies the width of the popup list. By default, the popup width sets based on the width of the component.

For more details about the popup configuration refer to Popup Configuration documentation.

query

Query

Accepts the external Query that execute along with data processing.

 <ejs-dropdownlist [query]="query" [placeholder]="placeholder" [fields]="fields" [dataSource]="dataSource"></ejs-dropdownlist>
import { Component, ViewEncapsulation } from '@angular/core';
import { Query, DataManager, WebApiAdaptor } from '@syncfusion/ej2-data';

@Component({
  selector: 'app-root',
  styleUrls: ['app.component.css'],
  templateUrl: 'app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  constructor() {}
  public query = new Query().select(['FirstName', 'EmployeeID']).take(10).requiresCount();
  public placeholder = "Select a name";
  public fields = { text: 'FirstName', value: 'EmployeeID' };
  public dataSource: new DataManager({
    url: 'https://ej2services.syncfusion.com/production/web-services/api/Employees',
    adaptor: new WebApiAdaptor,
    crossDomain: true
  });
}

readonly

boolean

When set to true, the user interactions on the component are disabled.

showClearButton

boolean

Specifies whether to show or hide the clear button. When the clear button is clicked, value, text, and index properties are reset to null.

sortOrder

SortOrder

Specifies the sortOrder to sort the data source. The available type of sort orders are

  • None - The data source is not sorting.
  • Ascending - The data source is sorting with ascending order.
  • Descending - The data source is sorting with descending order.

text

string | null

Gets or sets the display text of the selected item in the component.

value

number | string | boolean | object | null

Gets or sets the value of the selected item in the component.

valueTemplate

string | Function

Accepts the template design and assigns it to the selected list item in the input element of the component. For more details about the available template options refer to Template documentation. We have built-in template engine which provides options to compile template string into a executable function. For EX: We have expression evolution as like ES6 expression string literals.

width

string | number

Specifies the width of the component. By default, the component width sets based on the width of its parent container. You can also set the width in pixel values.

zIndex

number

specifies the z-index value of the component popup element.